import type { _MTRUnitTestingClusterTestEmitTestEventResponseParams } from "./MTRUnitTestingClusterTestEmitTestEventResponseParams.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _MTRTestClusterClusterTestEmitTestEventResponseParams extends _MTRUnitTestingClusterTestEmitTestEventResponseParams {
    static alloc(): _MTRTestClusterClusterTestEmitTestEventResponseParams;
    static new(): _MTRTestClusterClusterTestEmitTestEventResponseParams;
    init(): _MTRTestClusterClusterTestEmitTestEventResponseParams;
    value(): _NSNumber;
    setValue$(value: _NSNumber): void;
    /**
     * Controls whether the command is a timed command (using Timed Invoke). If nil (the default value), a regular invoke is done for commands that do not require a timed invoke and a timed invoke with some default timed request timeout is done for commands that require a timed invoke. If not nil, a timed invoke is done, with the provided value used as the timed request timeout. The value should be chosen small enough to provide the desired security properties but large enough that it will allow a round-trip from the sever to the client (for the status response and actual invoke request) within the timeout window.
     */
    timedInvokeTimeoutMs(): _NSNumber | null;
    setTimedInvokeTimeoutMs$(value: _NSNumber | null): void;
}
